#
# spec file for package lsof (Version 4.76)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           lsof
Version:        4.76
Release:        13.6
AutoReqProv:    on
Group:          System/Monitoring
License:        Other License(s), see package
Url:            http://www-rcd.cc.purdue.edu/~abe
Summary:        A Program That Lists Information about Files Opened by Processes
Source:         %{name}_%{version}_src.tar.bz2
Source1:        %{name}_%{version}_src.tar.sig
Patch0:         %{name}_%{version}_src-include.diff
Patch1:         %{name}_%{version}_src-fmt.diff
Patch2:         %{name}_%{version}_src-return.diff
Patch3:         %{name}_%{version}_src-noslash.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Lsof lists information about files opened by processes. An open file
may be a regular file, a directory, a block special file, a character
special file, an executing text reference, a library, a stream, or a
network file (Internet socket, NFS file, or UNIX domain socket.)  A
specific  file or all the files in a file system may be selected by
path.



Authors:
--------
    Victor A. Abell <abe@purdue.edu>

%debug_package
%prep
%setup -q -n %{name}_%{version}_src
%patch0
%patch1
%patch2
%patch3

%build
./Configure -n linux
make DEBUG="$RPM_OPT_FLAGS -Wall -Wno-unused"
cd tests
chmod u+w TestDB
./Add2TestDB
make DEBUG="$RPM_OPT_FLAGS -Wall -Wno-unused"

%install
install -m755 -d $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_mandir}/man8
install -m755 lsof $RPM_BUILD_ROOT%{_bindir}
install -m644 lsof.8 $RPM_BUILD_ROOT%{_mandir}/man8
mkdir SuSE_docs
for s in 00* ; do
	mv $s SuSE_docs/${s#00}
done 
for s in scripts/* ; do
	sed -e "s|/usr/local/bin/perl|/usr/bin/perl|g" $s >$s.new
	mv -f $s.new $s
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc SuSE_docs/* scripts
%doc %{_mandir}/man?/*
%{_bindir}/*

%changelog
* Thu Mar 13 2008 - prusnak@suse.cz
- fixed wrong parsing of sockets in /proc/*/fd [bnc#364541] (noslash.diff)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 15 2006 - schwab@suse.de
- Don't strip binaries.
* Wed Jan 11 2006 - mjancar@suse.cz
- update to 4.76
* Tue Aug 02 2005 - mjancar@suse.cz
- update to 4.75
* Mon Feb 07 2005 - mjancar@suse.cz
- update to 4.74
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 4.72
* Mon Apr 19 2004 - mjancar@suse.cz
- add return to nonvoid functions
* Thu Feb 26 2004 - mjancar@suse.cz
- uopdate to 4.70
* Wed Nov 05 2003 - ro@suse.de
- fix make test as non-root
* Thu Oct 30 2003 - mjancar@suse.cz
- update to 4.69
- no root for build
* Thu Jul 24 2003 - mjancar@suse.cz
- update to 4.68
- kill obsolete patches
  * lsof_4.67_src-unescape.diff
  * lsof_4.68_src-uninitialized.diff
* Thu Jun 12 2003 - mjancar@suse.cz
- unescape paths from /proc/mounts (Bug #27321)
- fix mising prototypes and uninitialized variables
* Tue Apr 22 2003 - vbobek@suse.cz
- updated to version 4.67
  * added the "+c <width>" option to enable optional changing
  of the COMMAND column output maximum width
  * many other fixes
* Mon Feb 17 2003 - vbobek@suse.cz
- updated to version 4.66
* Tue Dec 03 2002 - jderfina@suse.cz
- upgrade to version 4.65
* Thu Jul 11 2002 - nadvornik@suse.cz
- updated to 4.64
* Tue Mar 05 2002 - nadvornik@suse.cz
- fixed permissions of man page
* Mon Nov 26 2001 - nadvornik@suse.cz
- update to 4.60:
  - adds an IP version selector to the -i parameters
  - adds better handling of IPv6 selectors
  - makes safer lsof's ending of its child process
  - adds options to affect -v output
- added example scripts to documentation
* Tue Aug 14 2001 - nadvornik@suse.cz
- update to 4.57
* Thu Mar 08 2001 - nadvornik@suse.cz
- update to 4.55
* Sun Dec 03 2000 - smid@suse.cz
- new version 4.52
* Wed Oct 04 2000 - smid@suse.cz
- new version 4.51
* Wed Apr 05 2000 - smid@suse.cz
- upgrade to 4.49
- BuildRoot added
* Thu Jan 20 2000 - aj@suse.de
- /usr/man -> /usr/share/man
* Thu Nov 04 1999 - ro@suse.de
- update to 4.46
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 01 1999 - ro@suse.de
- update to 4.45
* Tue Mar 09 1999 - ro@suse.de
- force LSOF_VERS=22003
* Tue Mar 09 1999 - ro@suse.de
- use proc-base version for STABLE, now that we're 2.2-based
* Fri Mar 05 1999 - ro@suse.de
- for BETA: use proc version
- changed proc/dlsof.h to work with glibc-2.1
* Fri Feb 26 1999 - florian@suse.de
- add security patches
* Thu Dec 10 1998 - ro@suse.de
- disabled proc-version in Configure
* Thu Dec 10 1998 - ro@suse.de
- update to 4.38
- added rh-patch for kmem/dlsof.h
- compile as 2.0 (kmem) version
* Tue Sep 22 1998 - ro@suse.de
- update to 4.37 / for now only the proc version works with glibc
  but that needs a running 2.1 kernel !!!!
* Wed Jun 24 1998 - ro@suse.de
- update to 4.31 using diff from jurix/source
* Thu Oct 09 1997 - florian@suse.de
- update to version 4.16
* Wed Oct 08 1997 - max@suse.de
- changed to rpm format and eliminated Makefile.Linux
* Mon Jul 07 1997 - florian@suse.de
- update to version 4.11
* Sat Apr 26 1997 - florian@suse.de
- add new package of lsof 4.05
